Subject: Re: -a vs -e

From: Chet Ramey <[email-masked]>
Date: Thu, 05 Sep 2013 15:33:08 -0400

On 9/5/13 12:45 PM, Eric Blake wrote:

> The POSIX wording states for 3-argument tests
> (http://pubs.opengroup.org/onlinepubs/9699919799/utilities/test.html):
> 
> ? If $2 is a binary primary, perform the binary test of $1 and $3.
> ? If $1 is ?!?, negate the two-argument test of $2 and $3.
> ? If $1 is ?(? and $3 is ?)?, perform the unary test of $2.
> 
> The first two bullets both apply to your situation, but it can be
> assumed that the ordering of the bullets is significant.  

Bash assumes that the order of the bullet points in the Posix description
of `test' implies prioritization.

- -- 
``The lyf so short, the craft so long to lerne.'' - Chaucer
		 ``Ars longa, vita brevis'' - Hippocrates
Chet Ramey, ITS, CWRU    [email-masked]    http://cnswww.cns.cwru.edu/~chet/